# CMAKE generated file: DO NOT EDIT!
# Generated by "Ninja" Generator, CMake Version 3.30

# This file contains all the build statements describing the
# compilation DAG.

# =============================================================================
# Write statements declared in CMakeLists.txt:
# 
# Which is the root file.
# =============================================================================

# =============================================================================
# Project: RN-Praxis
# Configurations: Debug
# =============================================================================

#############################################
# Minimal version of Ninja required by this file

ninja_required_version = 1.5


#############################################
# Set configuration variable for custom commands.

CONFIGURATION = Debug
# =============================================================================
# Include auxiliary files.


#############################################
# Include rules file.

include CMakeFiles/rules.ninja

# =============================================================================

#############################################
# Logical path to working directory; prefix for absolute paths.

cmake_ninja_workdir = /home/bea/git/RN-Praxis3/praxis3/cmake-build-debug/
# =============================================================================
# Object build statements for EXECUTABLE target distributor


#############################################
# Order-only phony target for distributor

build cmake_object_order_depends_target_distributor: phony || .

build CMakeFiles/distributor.dir/zmq_distributor.c.o: C_COMPILER__distributor_unscanned_Debug /home/bea/git/RN-Praxis3/praxis3/zmq_distributor.c || cmake_object_order_depends_target_distributor
  DEP_FILE = CMakeFiles/distributor.dir/zmq_distributor.c.o.d
  FLAGS = -g -std=gnu11 -Wall -Wextra -Wpedantic
  OBJECT_DIR = CMakeFiles/distributor.dir
  OBJECT_FILE_DIR = CMakeFiles/distributor.dir

build CMakeFiles/distributor.dir/key_value_pair.c.o: C_COMPILER__distributor_unscanned_Debug /home/bea/git/RN-Praxis3/praxis3/key_value_pair.c || cmake_object_order_depends_target_distributor
  DEP_FILE = CMakeFiles/distributor.dir/key_value_pair.c.o.d
  FLAGS = -g -std=gnu11 -Wall -Wextra -Wpedantic
  OBJECT_DIR = CMakeFiles/distributor.dir
  OBJECT_FILE_DIR = CMakeFiles/distributor.dir

build CMakeFiles/distributor.dir/zmq_worker.c.o: C_COMPILER__distributor_unscanned_Debug /home/bea/git/RN-Praxis3/praxis3/zmq_worker.c || cmake_object_order_depends_target_distributor
  DEP_FILE = CMakeFiles/distributor.dir/zmq_worker.c.o.d
  FLAGS = -g -std=gnu11 -Wall -Wextra -Wpedantic
  OBJECT_DIR = CMakeFiles/distributor.dir
  OBJECT_FILE_DIR = CMakeFiles/distributor.dir


# =============================================================================
# Link build statements for EXECUTABLE target distributor


#############################################
# Link the executable distributor

build distributor: C_EXECUTABLE_LINKER__distributor_Debug CMakeFiles/distributor.dir/zmq_distributor.c.o CMakeFiles/distributor.dir/key_value_pair.c.o CMakeFiles/distributor.dir/zmq_worker.c.o
  FLAGS = -g
  OBJECT_DIR = CMakeFiles/distributor.dir
  POST_BUILD = :
  PRE_LINK = :
  TARGET_FILE = distributor
  TARGET_PDB = distributor.dbg

# =============================================================================
# Object build statements for EXECUTABLE target worker


#############################################
# Order-only phony target for worker

build cmake_object_order_depends_target_worker: phony || .

build CMakeFiles/worker.dir/zmq_worker.c.o: C_COMPILER__worker_unscanned_Debug /home/bea/git/RN-Praxis3/praxis3/zmq_worker.c || cmake_object_order_depends_target_worker
  DEP_FILE = CMakeFiles/worker.dir/zmq_worker.c.o.d
  FLAGS = -g -std=gnu11
  OBJECT_DIR = CMakeFiles/worker.dir
  OBJECT_FILE_DIR = CMakeFiles/worker.dir

build CMakeFiles/worker.dir/key_value_pair.c.o: C_COMPILER__worker_unscanned_Debug /home/bea/git/RN-Praxis3/praxis3/key_value_pair.c || cmake_object_order_depends_target_worker
  DEP_FILE = CMakeFiles/worker.dir/key_value_pair.c.o.d
  FLAGS = -g -std=gnu11
  OBJECT_DIR = CMakeFiles/worker.dir
  OBJECT_FILE_DIR = CMakeFiles/worker.dir


# =============================================================================
# Link build statements for EXECUTABLE target worker


#############################################
# Link the executable worker

build worker: C_EXECUTABLE_LINKER__worker_Debug CMakeFiles/worker.dir/zmq_worker.c.o CMakeFiles/worker.dir/key_value_pair.c.o
  FLAGS = -g
  OBJECT_DIR = CMakeFiles/worker.dir
  POST_BUILD = :
  PRE_LINK = :
  TARGET_FILE = worker
  TARGET_PDB = worker.dbg


#############################################
# Utility command for package

build CMakeFiles/package.util: CUSTOM_COMMAND all
  COMMAND = cd /home/bea/git/RN-Praxis3/praxis3/cmake-build-debug && /home/bea/.local/share/JetBrains/Toolbox/apps/clion/bin/cmake/linux/x64/bin/cpack --config ./CPackConfig.cmake
  DESC = Run CPack packaging tool...
  pool = console
  restat = 1

build package: phony CMakeFiles/package.util


#############################################
# Utility command for package_source

build CMakeFiles/package_source.util: CUSTOM_COMMAND
  COMMAND = cd /home/bea/git/RN-Praxis3/praxis3/cmake-build-debug && /home/bea/.local/share/JetBrains/Toolbox/apps/clion/bin/cmake/linux/x64/bin/cpack --config ./CPackSourceConfig.cmake /home/bea/git/RN-Praxis3/praxis3/cmake-build-debug/CPackSourceConfig.cmake
  DESC = Run CPack packaging tool for source...
  pool = console
  restat = 1

build package_source: phony CMakeFiles/package_source.util


#############################################
# Utility command for edit_cache

build CMakeFiles/edit_cache.util: CUSTOM_COMMAND
  COMMAND = cd /home/bea/git/RN-Praxis3/praxis3/cmake-build-debug && /home/bea/.local/share/JetBrains/Toolbox/apps/clion/bin/cmake/linux/x64/bin/cmake -E echo No\ interactive\ CMake\ dialog\ available.
  DESC = No interactive CMake dialog available...
  restat = 1

build edit_cache: phony CMakeFiles/edit_cache.util


#############################################
# Utility command for rebuild_cache

build CMakeFiles/rebuild_cache.util: CUSTOM_COMMAND
  COMMAND = cd /home/bea/git/RN-Praxis3/praxis3/cmake-build-debug && /home/bea/.local/share/JetBrains/Toolbox/apps/clion/bin/cmake/linux/x64/bin/cmake --regenerate-during-build -S/home/bea/git/RN-Praxis3/praxis3 -B/home/bea/git/RN-Praxis3/praxis3/cmake-build-debug
  DESC = Running CMake to regenerate build system...
  pool = console
  restat = 1

build rebuild_cache: phony CMakeFiles/rebuild_cache.util

# =============================================================================
# Target aliases.

# =============================================================================
# Folder targets.

# =============================================================================

#############################################
# Folder: /home/bea/git/RN-Praxis3/praxis3/cmake-build-debug

build all: phony distributor worker

# =============================================================================
# Built-in targets


#############################################
# Re-run CMake if any of its inputs changed.

build build.ninja: RERUN_CMAKE | /home/bea/.local/share/JetBrains/Toolbox/apps/clion/bin/cmake/linux/x64/share/cmake-3.30/Modules/CMakeCInformation.cmake /home/bea/.local/share/JetBrains/Toolbox/apps/clion/bin/cmake/linux/x64/share/cmake-3.30/Modules/CMakeCXXInformation.cmake /home/bea/.local/share/JetBrains/Toolbox/apps/clion/bin/cmake/linux/x64/share/cmake-3.30/Modules/CMakeCommonLanguageInclude.cmake /home/bea/.local/share/JetBrains/Toolbox/apps/clion/bin/cmake/linux/x64/share/cmake-3.30/Modules/CMakeGenericSystem.cmake /home/bea/.local/share/JetBrains/Toolbox/apps/clion/bin/cmake/linux/x64/share/cmake-3.30/Modules/CMakeInitializeConfigs.cmake /home/bea/.local/share/JetBrains/Toolbox/apps/clion/bin/cmake/linux/x64/share/cmake-3.30/Modules/CMakeLanguageInformation.cmake /home/bea/.local/share/JetBrains/Toolbox/apps/clion/bin/cmake/linux/x64/share/cmake-3.30/Modules/CMakeSystemSpecificInformation.cmake /home/bea/.local/share/JetBrains/Toolbox/apps/clion/bin/cmake/linux/x64/share/cmake-3.30/Modules/CMakeSystemSpecificInitialize.cmake /home/bea/.local/share/JetBrains/Toolbox/apps/clion/bin/cmake/linux/x64/share/cmake-3.30/Modules/CPack.cmake /home/bea/.local/share/JetBrains/Toolbox/apps/clion/bin/cmake/linux/x64/share/cmake-3.30/Modules/CPackComponent.cmake /home/bea/.local/share/JetBrains/Toolbox/apps/clion/bin/cmake/linux/x64/share/cmake-3.30/Modules/Compiler/CMakeCommonCompilerMacros.cmake /home/bea/.local/share/JetBrains/Toolbox/apps/clion/bin/cmake/linux/x64/share/cmake-3.30/Modules/Compiler/GNU-C.cmake /home/bea/.local/share/JetBrains/Toolbox/apps/clion/bin/cmake/linux/x64/share/cmake-3.30/Modules/Compiler/GNU-CXX.cmake /home/bea/.local/share/JetBrains/Toolbox/apps/clion/bin/cmake/linux/x64/share/cmake-3.30/Modules/Compiler/GNU.cmake /home/bea/.local/share/JetBrains/Toolbox/apps/clion/bin/cmake/linux/x64/share/cmake-3.30/Modules/Platform/Linux-GNU-C.cmake /home/bea/.local/share/JetBrains/Toolbox/apps/clion/bin/cmake/linux/x64/share/cmake-3.30/Modules/Platform/Linux-GNU-CXX.cmake /home/bea/.local/share/JetBrains/Toolbox/apps/clion/bin/cmake/linux/x64/share/cmake-3.30/Modules/Platform/Linux-GNU.cmake /home/bea/.local/share/JetBrains/Toolbox/apps/clion/bin/cmake/linux/x64/share/cmake-3.30/Modules/Platform/Linux-Initialize.cmake /home/bea/.local/share/JetBrains/Toolbox/apps/clion/bin/cmake/linux/x64/share/cmake-3.30/Modules/Platform/Linux.cmake /home/bea/.local/share/JetBrains/Toolbox/apps/clion/bin/cmake/linux/x64/share/cmake-3.30/Modules/Platform/UnixPaths.cmake /home/bea/.local/share/JetBrains/Toolbox/apps/clion/bin/cmake/linux/x64/share/cmake-3.30/Templates/CPackConfig.cmake.in /home/bea/git/RN-Praxis3/praxis3/CMakeLists.txt CMakeCache.txt CMakeFiles/3.30.5/CMakeCCompiler.cmake CMakeFiles/3.30.5/CMakeCXXCompiler.cmake CMakeFiles/3.30.5/CMakeSystem.cmake
  pool = console


#############################################
# A missing CMake input file is not an error.

build /home/bea/.local/share/JetBrains/Toolbox/apps/clion/bin/cmake/linux/x64/share/cmake-3.30/Modules/CMakeCInformation.cmake /home/bea/.local/share/JetBrains/Toolbox/apps/clion/bin/cmake/linux/x64/share/cmake-3.30/Modules/CMakeCXXInformation.cmake /home/bea/.local/share/JetBrains/Toolbox/apps/clion/bin/cmake/linux/x64/share/cmake-3.30/Modules/CMakeCommonLanguageInclude.cmake /home/bea/.local/share/JetBrains/Toolbox/apps/clion/bin/cmake/linux/x64/share/cmake-3.30/Modules/CMakeGenericSystem.cmake /home/bea/.local/share/JetBrains/Toolbox/apps/clion/bin/cmake/linux/x64/share/cmake-3.30/Modules/CMakeInitializeConfigs.cmake /home/bea/.local/share/JetBrains/Toolbox/apps/clion/bin/cmake/linux/x64/share/cmake-3.30/Modules/CMakeLanguageInformation.cmake /home/bea/.local/share/JetBrains/Toolbox/apps/clion/bin/cmake/linux/x64/share/cmake-3.30/Modules/CMakeSystemSpecificInformation.cmake /home/bea/.local/share/JetBrains/Toolbox/apps/clion/bin/cmake/linux/x64/share/cmake-3.30/Modules/CMakeSystemSpecificInitialize.cmake /home/bea/.local/share/JetBrains/Toolbox/apps/clion/bin/cmake/linux/x64/share/cmake-3.30/Modules/CPack.cmake /home/bea/.local/share/JetBrains/Toolbox/apps/clion/bin/cmake/linux/x64/share/cmake-3.30/Modules/CPackComponent.cmake /home/bea/.local/share/JetBrains/Toolbox/apps/clion/bin/cmake/linux/x64/share/cmake-3.30/Modules/Compiler/CMakeCommonCompilerMacros.cmake /home/bea/.local/share/JetBrains/Toolbox/apps/clion/bin/cmake/linux/x64/share/cmake-3.30/Modules/Compiler/GNU-C.cmake /home/bea/.local/share/JetBrains/Toolbox/apps/clion/bin/cmake/linux/x64/share/cmake-3.30/Modules/Compiler/GNU-CXX.cmake /home/bea/.local/share/JetBrains/Toolbox/apps/clion/bin/cmake/linux/x64/share/cmake-3.30/Modules/Compiler/GNU.cmake /home/bea/.local/share/JetBrains/Toolbox/apps/clion/bin/cmake/linux/x64/share/cmake-3.30/Modules/Platform/Linux-GNU-C.cmake /home/bea/.local/share/JetBrains/Toolbox/apps/clion/bin/cmake/linux/x64/share/cmake-3.30/Modules/Platform/Linux-GNU-CXX.cmake /home/bea/.local/share/JetBrains/Toolbox/apps/clion/bin/cmake/linux/x64/share/cmake-3.30/Modules/Platform/Linux-GNU.cmake /home/bea/.local/share/JetBrains/Toolbox/apps/clion/bin/cmake/linux/x64/share/cmake-3.30/Modules/Platform/Linux-Initialize.cmake /home/bea/.local/share/JetBrains/Toolbox/apps/clion/bin/cmake/linux/x64/share/cmake-3.30/Modules/Platform/Linux.cmake /home/bea/.local/share/JetBrains/Toolbox/apps/clion/bin/cmake/linux/x64/share/cmake-3.30/Modules/Platform/UnixPaths.cmake /home/bea/.local/share/JetBrains/Toolbox/apps/clion/bin/cmake/linux/x64/share/cmake-3.30/Templates/CPackConfig.cmake.in /home/bea/git/RN-Praxis3/praxis3/CMakeLists.txt CMakeCache.txt CMakeFiles/3.30.5/CMakeCCompiler.cmake CMakeFiles/3.30.5/CMakeCXXCompiler.cmake CMakeFiles/3.30.5/CMakeSystem.cmake: phony


#############################################
# Clean all the built files.

build clean: CLEAN


#############################################
# Print all primary targets available.

build help: HELP


#############################################
# Make the all target the default.

default all
